New Apple iMac (Core i5) fails to display anything

Bug #542660 reported by Sean Clarke on 2010-03-20
120
This bug affects 21 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
Release Notes for Ubuntu
Undecided
Unassigned
xserver-xorg-driver-ati
Invalid
High
linux (Ubuntu)
Lucid
High
Andy Whitcroft
Oneiric
High
Unassigned
Precise
High
Unassigned

Bug Description

Binary package hint: xorg

Lucid beta 1 fails to boot on my Apple iMac 27" (Core i5 model).

I am happily running Karmic (had to download backport Alsa to get sound working), but Lucid beta 1 fails to boot. You initially see the new purple Ubuntu loader, then it goes black - CD continues to whirl and after it sounds like it is loading in the background it resets and restarts.

Suspect problem with video - I can get it to boot if I select option F6 and "selectnomodes" (I think thats what it was called) - it boots fine (I am running it now).

Question: Would this stop me upgrading from Karmic?

If you need any more info, please email.

ProblemType: Bug
Architecture: amd64
Date: Sat Mar 20 12:57:24 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
GdmLog1: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or directory
GdmLog2: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
MachineType: Apple Inc. iMac11,1
Package: xorg 1:7.5+3ubuntu1
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- nomodeset
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
Uname: Linux 2.6.32-16-generic x86_64
dmi.bios.date: 10/30/09
dmi.bios.vendor: Apple Inc.
dmi.bios.version: IM111.88Z.0034.B00.0910301727
dmi.board.name: Mac-F2268DAE
dmi.board.vendor: Apple Inc.
dmi.chassis.type: 13
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F2268DAE
dmi.modalias: dmi:bvnAppleInc.:bvrIM111.88Z.0034.B00.0910301727:bd10/30/09:svnAppleInc.:pniMac11,1:pvr1.0:rvnAppleInc.:rnMac-F2268DAE:rvr:cvnAppleInc.:ct13:cvrMac-F2268DAE:
dmi.product.name: iMac11,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
glxinfo: Error: [Errno 2] No such file or directory
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-16-generic

[lspci]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M98L [Mobility Radeon HD 4850] [1002:944a]
     Subsystem: Apple Computer Inc. Device [106b:00b5]

Sean Clarke (sean-clarke) wrote :
Bryce Harrington (bryce) on 2010-03-21
affects: xorg (Ubuntu) → xserver-xorg-video-ati (Ubuntu)
Bryce Harrington (bryce) on 2010-03-21
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2010-03-22
Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → High
Bryce Harrington (bryce) on 2010-03-24
description: updated

Forwarding this bug from Ubuntu reporter Sean Clarke:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/542660

[Problem]
Black screen shown in X after boot splash

[Original Description]
Lucid beta 1 fails to boot on my Apple iMac 27" (Core i5 model).

I am happily running Karmic (had to download backport Alsa to get sound working), but Lucid beta 1 fails to boot. You initially see the new purple Ubuntu loader, then it goes black - CD continues to whirl and after it sounds like it is loading in the background it resets and restarts.

Suspect problem with video - I can get it to boot if I select option F6 and "selectnomodes" (I think thats what it was called) - it boots fine (I am running it now).

Question: Would this stop me upgrading from Karmic?

If you need any more info, please email.

Architecture: amd64
Date: Sat Mar 20 12:57:24 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
GdmLog1: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or directory
GdmLog2: Error: command ['gksu', '-D', 'Apport', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
MachineType: Apple Inc. iMac11,1
Package: xorg 1:7.5+3ubuntu1
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- nomodeset
ProcEnviron:
 LANG=en_US.UTF-8ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
Uname: Linux 2.6.32-16-generic x86_64
dmi.bios.date: 10/30/09
dmi.bios.vendor: Apple Inc.
dmi.bios.version: IM111.88Z.0034.B00.0910301727
dmi.board.name: Mac-F2268DAE
dmi.board.vendor: Apple Inc.
dmi.chassis.type: 13
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F2268DAE
dmi.modalias: dmi:bvnAppleInc.:bvrIM111.88Z.0034.B00.0910301727:bd10/30/09:svnAppleInc.:pniMac11,1:pvr1.0:rvnAppleInc.:rnMac-F2268DAE:rvr:cvnAppleInc.:ct13:cvrMac-F2268DAE:
dmi.product.name: iMac11,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
glxinfo: Error: [Errno 2] No such file or directory
system: codename: lucid
 architecture: x86_64
 kernel: 2.6.32-16-generic

[lspci]
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M98L [Mobility Radeon HD 4850] [1002:944a]
     Subsystem: Apple Computer Inc. Device [106b:00b5]

Created an attachment (id=34457)
BootDmesg.txt

Created an attachment (id=34458)
XorgLog.txt

Created an attachment (id=34459)
CurrentDmesg.txt

Created an attachment (id=34460)
Xrandr.txt

should be fixed in c7eeda8c3f3514ba95ebf2893fbe124bf526b3df

Created an attachment (id=34468)
KMS patch

This KMS patch should fix things up.

Hi Sean, I've forwarded your bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=27322 - please subscribe yourself to that bug report in case they have further questions or wish you to test something.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed

Thanks alex, I'll pass this to our kernel team.

Upstream indicates there is a kernel patch which fixes this

"should be fixed in c7eeda8c3f3514ba95ebf2893fbe124bf526b3df"

Patch: https://bugs.freedesktop.org/attachment.cgi?id=34468

affects: xserver-xorg-video-ati (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu Lucid):
milestone: none → ubuntu-10.04
Bryce Harrington (bryce) on 2010-04-07
tags: added: xorg-needs-kernel-fix
Sean Clarke (sean-clarke) wrote :

Is this expected to make it into 10.04 beta2? if not, is it expected to be included in the final release?

Jka (jka-pub) wrote :

Bug still appears in Beta2, on my iMac11,1 i7 -

 I had to do a f6, esc, (selecting nomodeset doesn't appear to change the line) then manually added the following in the boot line:

  i915.modeset=0 radeon.modeset=0

I then get the purple ubuntu screen with the 5 red dots and then thats all. Pressing the power button, wait for the CD to pop out, then press the enter key on the wireless seems to cleanly shutdown.

Jka (jka-pub) wrote :

correction with Beta 2:
 manually typing in
   'nomodeset' on the command line , then allows the X to come up.

 I eventually typed ' radeon.modeset=0 nomodeset '

Andy Whitcroft (apw) wrote :

This patch seems to have been revised and ended up commited as the below commit:

  commit 9f998ad7e92a1653b6b396b1278e75560a8be519
  Author: Alex Deucher <email address hidden>
  Date: Mon Mar 29 21:37:08 2010 -0400

    drm/radeon/kms: minor fixes for eDP with LCD* device tags (v2)

    Some systems have LCD* rather than DFP* device tags in the bios
    for eDP connectors; notably the new apple iMac. This fixes
    things up so eDP connectors with either tag will work.

    v2: fix typo

    Signed-off-by: Alex Deucher <email address hidden>
    Signed-off-by: Dave Airlie <email address hidden>

Andy Whitcroft (apw) wrote :

This commit actually modifies code we do not even have. Someone needs to work out which pre-requisites are needed here.

Steve Langasek (vorlon) on 2010-04-16
Changed in linux (Ubuntu Lucid):
milestone: ubuntu-10.04 → none
Sean Clarke (sean-clarke) wrote :

Milestone = none? Does this mean the fix is not scheduled for the final release?

jisaac (jisaac) wrote :

I was able to boot with 10.04 beta2 CD using "radeon.nomodeset=0 nomodeset" on my iMac 27" i7 but I can not with RC. I only get a blank screen after plymouth.

Jka (jka-pub) wrote :

As above - blankscreen

Changed in linux (Ubuntu Lucid):
milestone: none → lucid-updates
summary: - New Apple iMac (Core i5) fails to boot
+ New Apple iMac (Core i5) fails to display anything
tags: added: regression-release
gismo (gismo-kangaroo) wrote :

I had the same problem on my iMac 27" but found a workaround for me:
* installed Ubuntu 10.04 (32 bit) with the text based installer (alternate-i386 CD)
* select the recovery mode and added "radeon.modeset=0 nomodeset" to the boot options (the line with linux ...)
* the recovery mode detected problems with the graphics and allowed me to use failsafe graphics for one session
* install the proprietary driver from ATI
* normal reboot: success.

i didn't really check if everything works, i think i still need some time to get all the hardware working, but at least i managed to log in and write this post :p

good luck

Ingo Siegert (thebigear) wrote :

Also same Problem, using the normal AMD64 DVD and adding "radeon.modeset=0 nomodeset" to boot parameters showed me a weired boot splash but than the screen gets black and I can't even change to console.

Will try with alternate CD

Alan Jackson (jackson-alan) wrote :

method of install by @gismo confirmed working Ubuntu 10.04 (64-bit) MacPro 3,1

Dolanar (duneking1) wrote :

I think the most annoying thing about ubuntu or any version there of is the lack of people able to write a step by step process of what they did. Everyone just assumes that you know what you are talking about. So much implied knowledge in these forums that you get lost in what worked, what didn't work, and what used to work but doesn't and why.

If you found a way to install it be descriptive in what you did for the less programmer savvy.

Jka (jka-pub) wrote :

Dolanar - While I can understand your frustration, At the moment this bug is pure trial and error and by its human nature may appear 'programmer savvy' even unstructured, For me this is bug is associated with Sooooo many outstanding ATI HD problems. For a forum style format maybe you want to aim this at the existing ubuntu apple forum where it has also been discussed: http://ubuntuforums.org/forumdisplay.php?f=328

Created an attachment (id=35659)
Xorg.0.log when the patch is in use

I'm still having this problem using kernel version 2.6.33.3-85.fc13.x86_64 on my iMac 27" / HD 4850. This kernel supposedly has the patch from Comment 6 in it.

When using the default radeon driver, the screen turns black as soon as X starts. (I'm not having these problems when using the vesa and fglrx drivers.)

Attached is my xorg log as it was a few seconds after the screen turning blank.

Benno Meier (meier-benno) wrote :

Hi jka,

I can't find any information in the forum link you posted. Can you give a more specific link?

Can you tell me, wether this bug would also stop me from upgrading to lucid lynx?

Thanks!

tags: added: kernel-graphics kernel-reviewed
Jka (jka-pub) wrote :

Benno - It's probably worth asking or searching the question in that forum (http://ubuntuforums.org/forumdisplay.php?f=328). 'Has anyone installed Lucid 10.04 on a i5,i7 iMac 11,1 or 27" '.

Gismo also indicated his workaround in #12 up above.

As to the specific postings where this was discussed try these:

http://ubuntuforums.org/showthread.php?t=1476226 <-- shows a workaround
http://ubuntuforums.org/showthread.php?t=1470389 <-- shows the original problem

I really dunno how much more I can add other than, it appears this problem still occurs. For now there are workarounds, try them out and then stumble into the next issue :)

I am having the same problem, I have a "iMac 27 2.66QC/2X2GB/1TB/4850 - 512MB/SD/WLMKB"
I put the disk in, install it in windows, reboot, black for a long time as it instills ubuntu, then reboot's again, then black screen the hole time, stop's loading but still a black screen, So I press Power button and it tunes off,

I start again and press ESC, type : radeon.modeset=0 nomodeset

I type exit, enter, black screen,

This problem need's to be fixed, I was just trying to see what it look's like ?

artik (jeff-artik) wrote :

I found another easiest way to completly install lucid on IMAC 27 inch.

- Install Karmic using normal CD (not alternate), and pressing F4 with "Safe video mode" activated just before install.
- Go to system > Synaptic. in the search field, type X11. Select all still installed packages (green icon) and choose (in the menu) "Force keeping current version"
- close synaptic, and make a classic update (system > admministration > update manager). Refresh, and "New version lucid lynx available"
- Update with Lucid.

Sometimes, after installed lucid, it will boot on a black screen with safe command line : $inftramp:
just turn off imac, et power it with "ESC" key pressing down ALL TIME do not release the key until lucid boot, but for me that works (strange, isn't it ?).

- After booting lucid, in a terminal, type :

sudo aptitude update
sudo aptitude -f install

- Download (where you want) lastest ati drivers (actually 10.5) here : https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-10-5-x86.x86_64.run

in a terminal (in the folder you downloaded the drivers) :

sudo sh ati-driver-installer-10-5-x86.x86_64.run --buildandinstallpkg

(--buildandinstallpkg is very important flag, I never getting lastest drivers working without this flag). After install succes, reboot. Everything work amazingly ! and now, you can apt-get update and apt-get upgrade if you want ! Hope this bug will be official fixed, and thanks for all who helped me !

Got exactly same issue. Seems the driver display on the bad screen (wrong video output).

(In reply to comment #8)
> Created an attachment (id=35659) [details]
> Xorg.0.log when the patch is in use
>
> I'm still having this problem using kernel version 2.6.33.3-85.fc13.x86_64 on
> my iMac 27" / HD 4850. This kernel supposedly has the patch from Comment 6 in
> it.
>
> When using the default radeon driver, the screen turns black as soon as X
> starts. (I'm not having these problems when using the vesa and fglrx drivers.)
>
> Attached is my xorg log as it was a few seconds after the screen turning blank.

According to your log this log you are not using kms. Looks like you are seeing bug 28267.

artik (jeff-artik) wrote :

As i reported here : https://bugs.launchpad.net/ubuntu/+source/linux/+bug/597070
It's not really black screen, it's the video output that switch to the mini display port output. If you plug a second screen on the mini display port, you can install ubuntu normally using this 2nd screen.

Really hope this bug will be corrected soon.

Jeffrey Stevison (jstevison) wrote :

Just to be clear the same issue is occurring on the i7 model with the ATI Radeon HD 4850. Would love to start using Ubuntu but getting around this bug is tough and when I did get around it the video performance was pretty dismal but I guess that may be unrelated.

Andy Whitcroft (apw) wrote :

Ok the fix mentioned by Bryce seems to be included in the mainline kernels as of v2.6.35-rc4. Could those of you affected by this bug try downloading and installing the latest Maverick kernel 2.6.35-7.10 or later and confirm whether this kernel will boot correctly? This kernel should work with at least Lucid. Please report back here. Thanks.

Changed in linux (Ubuntu Lucid):
status: Triaged → Incomplete
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Andy Whitcroft (apw) wrote :

Note that this commit has a different sha1 in mainline:

commit 9f998ad7e92a1653b6b396b1278e75560a8be519
Author: Alex Deucher <email address hidden>
Date: Mon Mar 29 21:37:08 2010 -0400

    drm/radeon/kms: minor fixes for eDP with LCD* device tags (v2)

    Some systems have LCD* rather than DFP* device tags in the bios
    for eDP connectors; notably the new apple iMac. This fixes
    things up so eDP connectors with either tag will work.

    v2: fix typo

    Signed-off-by: Alex Deucher <email address hidden>
    Signed-off-by: Dave Airlie <email address hidden>

Andy Whitcroft (apw) on 2010-07-15
Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Lucid):
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2010-07-26
Changed in linux (Ubuntu):
milestone: lucid-updates → none
Andy Whitcroft (apw) wrote :

The patch referred to in comment #24 is now in the Maverick kernel, could those of you affected by this issue test that kernel and report back here. The patch is is kernel Ubuntu-2.6.35-11.16 and later. This kernel can be found at the URL below, and should be installable on Lucid:

    https://edge.launchpad.net/ubuntu/+source/linux/2.6.35-11.16

Thanks.

artik (jeff-artik) wrote :

Andy, I try now, does this release :
maverick-desktop-i386.iso 26-Jul-2010 08:07 685M Desktop CD for PC (Intel x86) computers (standard download)

Contain the good linux image ?

artik (jeff-artik) wrote :

After tested 2 kernels, result is the same. Both lucid (and maverick) stay with black screen on startup, even after the patch, or kernel upgrade. I tried :

http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current/
and
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.35-rc6-maverick/

The default display is still the mini display port, not the main screen. Also, It's absolutly impossible to make the main screen reconisable by Open radeon drivers (only the screen connected to the mini display port is reconized).

the only way to get a display on main screen is :

1 - Install ubuntu using a second screen and mini display port > dvi adaptator
2 - Install proprietary ATI drivers.
3 - reboot, and unplug 2nd screen.
4 - display is now on the main screen.

There are many issues with Catalysts drivers (fresh install 10.7) Tearing (Vsync issue) is very present, and not corrected, once again. Only Open drivers really rocks, but can't can't main screen works.

Andy, if you want me to make more tests, just ask me.

Good luck

artik (jeff-artik) wrote :

Tested with Maverick merkaat Alpha 3, (2.6.35-14.19 kernel), same thing, black screen on startup (display switch to mini display port).

What a nightmare ...

jisaac (jisaac) wrote :

Tested with 10.10 beta and no way... I'm still getting a blank screen on my iMac 27" i7 :(

Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Changed in linux (Ubuntu Maverick):
status: Incomplete → Confirmed
milestone: none → ubuntu-10.10
Changed in linux (Ubuntu Maverick):
milestone: ubuntu-10.10 → maverick-updates
Changed in ubuntu-release-notes:
status: New → In Progress
Changed in ubuntu-release-notes:
status: In Progress → Fix Released
artik (jeff-artik) on 2010-10-13
Changed in ubuntu-release-notes:
status: Fix Released → Confirmed
Steve Langasek (vorlon) on 2010-10-14
Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
Changed in linux (Ubuntu Natty):
milestone: maverick-updates → none
Changed in xserver-xorg-driver-ati:
importance: High → Unknown
Andy Whitcroft (apw) on 2011-02-02
Changed in linux (Ubuntu Natty):
status: Confirmed → Incomplete
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Changed in linux (Ubuntu Lucid):
status: Incomplete → Confirmed
Changed in linux (Ubuntu Natty):
milestone: none → natty-alpha-3
status: Incomplete → Confirmed
Martin Pitt (pitti) on 2011-03-01
Changed in linux (Ubuntu Natty):
milestone: natty-alpha-3 → ubuntu-11.04-beta-1
36 comments hidden view all 116 comments
artik (jeff-artik) wrote :

Bad news. Tried last 1st March daily builds. Black Screen. Andy, did you received my Email ? asking you if you want ssh acces to my computer, trying to fix the issue ?

Heimen Stoffels (vistaus) wrote :

That's a good idea artik :)

artik (jeff-artik) wrote :

Never got answer, I think Andy and capables dev are too busy with major bugs. Thinking of buying another Imac, with a different date of production.

Heimen Stoffels (vistaus) wrote :

Or not buying a Mac at all to not have this problem ;)

Hopefully Andy responds soon...

Heimen Stoffels (vistaus) wrote :

Any updates on this Andy?

Heimen Stoffels (vistaus) wrote :

Are there really no updates on this? :(
Ah well, maybe this bug gets fixed in *buntu 20.04 then.

artik (jeff-artik) wrote :

Vistaus, 2.6.38 has been released, maybe Imac bug will be fixed.

Andy Whitcroft (apw) wrote :

It is always worth testing the latest Natty kernel. We have just updated to v2.6.38 final which has a smattering of graphics fixes.

Heimen Stoffels (vistaus) wrote :

Hmm, gonna test it ASAP then.

Heimen Stoffels (vistaus) wrote :

Okay, I just burned the latest daily build. Gonna try it and report back.

Heimen Stoffels (vistaus) wrote :

Nope.
11.04 Daily Build 23-03 AMD64+Mac
Still doesn't work. Screen goes black after choosing Start Kubuntu. So nothing has improved at all :(

Heimen Stoffels (vistaus) wrote :

Anyone?

artik (jeff-artik) wrote :

Posted by Peter, on this page : https://bugs.launchpad.net/ubuntu/+source/linux/+bug/597070 hope it can helps

Now using ubuntu natty 11.04 Alpha3 (was using maverick 10.10).

I have established that my main physical screen (iMac display) is detected by the OS radeon driver as output eDP-0, name 'Color LCD', and it is connected but not lit. The external physical screen is detected as output DisplayPort-0, name 'L1710B', and is connected *and* is lit.
Both these outputs are connected to logical (X) screen 0 and they both fit into the viewport of 1920x1080.

If I let KMS set up the graphics it sets DisplayPort-0 to have resolution 1920x1080 (it should be 1280x1024). The kernel modesetting seems to get confused between the two display ports, using the resolution of eDP-0 and assigning it to DisplayPort-0, but then disabling the eDP-0 for some reason.

If I use 'nomodeset' at boot then DisplayPort-0 gets resolution 1280x1024 (correct). This is probably the result of radeon driver probe.

Since it is possible to show terminal output on the iMac display before X starts I suspect that X (or the radeon driver) switches off this output as not being usable.

To me the question is why does the eDP-0 output get switched off? The logs do not offer much except

...
(EE) Radeon(0): channel eq failed: 5 tries
(EE) Radeon(0): channel eq failed
(EE) Radeon(0): clock recovery reached max voltage
(EE) Radeon(0): clock recovery failed
....

perhaps the radeon driver fails to establish the clock frequency for the monitor (iMac display) and switches it off as a precaution against damage?

Earlier I used the ati proprietary driver on ubuntu 10.10 and that worked when driving the iMac display, so it is possible, just not with the OS radeon driver (yet).

Heimen Stoffels (vistaus) wrote :

"it should be 1280x1024"

You gotta be kidding me. Since when does a 21,5" screen have that resolution? The iMac has resolution 1920x1080.
But still not very helpful, 'cause nomodeset on our iMac doesn't change anything.

Heimen Stoffels (vistaus) wrote :

Andy, where are you?

Changed in linux (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
Heimen Stoffels (vistaus) wrote :

*sigh*
So much information, yet so little people who try to fix it. That disappoints me. Why is noone even trying to fix it? We have given so much information, yet the only thing we keep hearing is "try the latest daily build, it contains some fixes". Yet nothing has changed at all. All daily builds suffer the problem of the black screen. Come on, developers, lets fix this bug once and for all. We have given enough information, we have tested so many times and reported back with outputs, now it's your (the developers) turn to do something with that.

1 comments hidden view all 116 comments
Heimen Stoffels (vistaus) wrote :

And btw, today's daily build still suffers the same problem, even with nomodeset. So indeed, nothing has changed. Come on developers, please fix this.

Heimen Stoffels (vistaus) wrote :

I just sold my iMac. Good luck everyone :)

Andy Whitcroft (apw) on 2011-04-15
Changed in linux (Ubuntu Natty):
milestone: ubuntu-11.04-beta-2 → natty-updates
Kate Stewart (kate.stewart) wrote :

Since this isn't likely to get fixed in Natty before release start the tracking off in Oneiric, and reflect the current importance/state.

Changed in linux (Ubuntu Oneiric):
status: New → Confirmed
importance: Undecided → High
artik (jeff-artik) wrote :

Jérémy Lal gave me a little tip here : https://bugzilla.kernel.org/show_bug.cgi?id=16541

Quote from his post :

and Jeff, cheers up, i'm writing this from an iMac 27 (model 12,2), only i have
to boot my linux partition from cd to enable bios instead of efi, then kms
works.

Could someone explain me exctly how to enable BIOS instead of EFI ? Maybe here is the solution ...

kapouer (kapouer) wrote :

Here's how to have radeon drm working (on imac 12,2 27" screen) :
boot from latest ubuntu live CD for amd64.

Booting from CD is done in BIOS mode. There seems to be a way to set BIOS mode
for booting on hard disk, too, since bootcamp does this to start windows.

Booting in EFI mode from hard disk is triggering (at least) two bugs :
1) kernel use something called EFI virtual mode, and it's broken on that machine,
   search for "run efi in physical mode" patch. It won't boot without it, and gives a
   a black screen too.
2) https://bugs.freedesktop.org/show_bug.cgi?id=27314
   screen goes black, but everything else work, X is even successfully starting,
  and recognize radeon in DRI2 mode.

kapouer (kapouer) wrote :

Update : EFI problems are getting solved (might be merged in linux 3.0),
and radeon need to have a vbios loaded to make it happy :
https://bugs.freedesktop.org/show_bug.cgi?id=26891

i found no way to change the backlight brightness, though.
There is /sys/class/backlight/acpi_video0/brightness, but i has no effect.
I t seems the acpi DSDT is only supporting backlight routines when booted in BIOS mode.
Anyone ?

artik (jeff-artik) wrote :

Kapouer : download this compilated code : http://www.megaupload.com/?d=LBQDR1PG
Place it in your /usr/bin/ folder. Then, in a terminal, use :

sudo backlight [1-15]

(1 is low, 15 is maximum)

Also, you wrote : "Booting from CD is done in BIOS mode. There seems to be a way to set BIOS mode". I tried to launch ubuntu (lastest 64bit), but still black screen. How to set bios mode ? Maybe my Imac27 is affected by a bigger bug ...

kapouer (kapouer) wrote :

Could you provide the source for "backlight" instead ?
i won't run an unknown binary !

There are two ways to get BIOS mode on latest imac :
* boot from CD, temporary, but simplest. You can boot from supergrub2 CD then boot your hd partition, for example.
  Or boot from ubuntu 11.04 live cd... is that what you tried ? it worked well for me.
* bless -legacy from osx, that is, the bootcamp method, but i never tried that.

Also note that fglrx 11.4 is working without needing the "vbios load patch" in EFI mode,
but aticonfig is not, so one has to provide the xorg.conf manually.
See http://wiki.debian.org/ATIProprietary for a simple yet working example).
No specific kernel boot parameters are needed (installing fglrx package blacklists radeon module)

artik (jeff-artik) wrote :

Kapouer :

If I remembre well, here is the source code : http://www.felipe-alfaro.org/blog/2006/09/11/basic-backlight-support-for-macbook-pro/ It works perfectly on my Imac27.

I also found something interesting : I can boot LIVE lastest ubuntu (32 or 64) using these steps :

- Boot on ubuntu CD (by pressing C key)
- Press F6, then ESC
- replace "quiet splash" by "nomodeset xforcevesa acpi=off"

Live is wroking. I tried to replace in /etc/X11/xorg.conf device "vesa" by "radeon", then log off / log on .... black screen.

let see what you suggest me. "Or boot from ubuntu 11.04 live cd... is that what you tried ? it worked well for me.". Yes, it's what I tried. still black screen. Jeremy told me patches are available here : https://bugs.freedesktop.org/show_bug.cgi?id=26891

didn't tried then, and don't know how to ;)

Bryce Harrington (bryce) on 2011-06-27
tags: removed: xorg-needs-kernel-fix
tags: added: kernel-handoff-graphics
Brad Figg (brad-figg) on 2011-09-02
tags: added: rls-mgr-o-tracking
Changed in linux (Ubuntu Oneiric):
milestone: none → oneiric-updates
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
tomschmitz (thomas-schmitz) wrote :

18 months after the original bug report, I'd like to know if there is any progress on this. I have a newish imac (11,2, 2011 model with ATI Radeon HD 6750M), and all attempts to install linux on an external USB disk have failed so far. I can install and boot a base system without X server. I have tried:

1. installing the open-source radeon packages from xorg-edgers - I get a black screen after the X server starts.

2. Installing the fglrx packages via jockey - results in the same black screen

3. Installing the catalyst packages from ATI - black screen.

For me, the infuriating thing is that I had it working once with oneiric RC, for a very short time. I had installed via jockey, and oneiric booted up in all its glory. There was the ATI warning on the screen about unsupported hardware, but apart from that, the system worked wonderfully. However, after running apt-get upgrade, it rebooted to the usual black screen. My inference from this is that it must be a "simple" bug in the drivers, not some impossible-to-solve thingie with EFI not loading the necessary BIOS elements, because if that was the case, it could never have functioned. So I'm just curious to know if there is any work done on this or if linux on this imac is a lost cause for the time being.

kapouer (kapouer) wrote :

I've been running an 11,2 model on debian/sid (now linux 3.1.1, with two patches, one for the sound output, one to load vbios rom) under EFI boot with great success, for six months.
The only thing that does not work is backlight control, which can be set once and for all through a BIOS boot.
I may help you here.
Note that booting with USB is probably not the easiest approach. CDROM or hard drive booting is easier.

Still effecting Apple Macbookpro (Core i5) 17 inch. Running 12.04 64bit.

Installer via Live CD works, but after that nothing at all for vesa, radeon or fglrx drivers.
Blank (LCD is lit but black) screen.

Could be one of these two:
   -that the mini DVI is the default output
   -the driver requires the bios to be available and EFI boot does not do this. https://bugs.freedesktop.org/show_bug.cgi?id=26891

This bug is only effecting the newer MacBookPro's (i5) not effecting core duo older MacBooks.

I am happy to any testing of patches etc..

Would be great to see some progress on this one.

Latest 12.04 Daily build of Ubuntu 64bit Mac is now working.

As is the fglrx driver.

Now testing lubuntu 64bit 12.04 Mac daily build

Lubuntu. - not working

Desktop works great for the CD installer (I assume it was using the Radeon driver).
After reboot the Xorg log was complaining the the fglrx driver was missing

after a manual
apt-get install fglrx
Reboot - no screen - flashing black on/off

I have to reboot with the kernel options "nomodeset xforcevesa" then switch to a terminal with CTRL+ALT+F1

At the bottom of the xorg log is this.

fglrx(0): Restoring Recent Mode via PCS is not supported in RANDR 1.2 capable environments

I then generate a new xorg.conf with

aticonfig --initial

new error in the xorg log is
(WW) fglrx: No matching Device Section for instance (BUSID PCI:0@0:1) found

if I try to swap back to the driver radeon and remove the BUSID from the xorg file
I get this error in xorg

(II) [KMS] drm report modesetting isn't supported
(EE) RADEON(0): Chipset: "TURKS" (ChipId = 0x6740) requires KMS

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in linux (Ubuntu Maverick):
status: Confirmed → Invalid
Andrew Paxson (paxsonsa) wrote :
Download full text (3.9 KiB)

Hey all! Maybe this could help.
I have been powering away for the last two weeks trying to get either 12.04 LTS and 10.04 LTS to function. Good News. Start is booting on both. Bad new its using the display port as the default output but reading through every post most of you know this. On 12.04 I have had some success but each resulting in poor ass graphics (tearing, banding, and ghosting) that was using with the ATI Drivers, the Proprietary Drivers. The open source drivers didn't work for me. For 12.04 LTS to boot I had to install using the alternate CD and 'F4' at the install menu and select Command Line System and hit 'F6' and change to 'nomodeset'. After install I DID NOT reboot. A went back to the install list and at the bottom chose Exceute Shell where punched in the commands listed on the forum post (http://ubuntuforums.org/showthread.php?t=1476226) Then I restarted. I booted normally to the command line where I installed
build-essential
wget
python-essential-properties (spelling?)
ubuntu-desktop

next I installed the ATI Driver from online using ATI to download the zip file to my /tmp
I had to update my kernel headers but after that the ATI install did a text based install.
I then ATI driver installed fine and so I then
sudo aticonfig --initial -f

I then rebooted. Everything seems to work but the issues were this for 12.04 LTS. The graphics looked like shit. Gnome 3 was unworkable and the tearing and lag was unbelievable. But its a step forward because I rebooted a total 20 times and it worked.

For 10.04 LTS
I simply installed the Alternate CD using the text based editor. First time i booted back in Recovery Mode using fail safe graphics. Their was no noticeable difference (granted i only logged in and stay on the desktop and terminal mostly). Windows moved smoothly, no banding or tearing and everything seemed responsive. So I decide to try the proprietary driver by Ubuntu. I opened the Hardware Manager (or whatever its called) and installed it and rebooted. I rebooted normally and the boot loaded however! The graphics looked good aweful. I was so surprised. Things were alittle laggy and the banding on the default BG wallpaper appalled me! So I removed the driver and rebooted normal. Black Screen is what I meet on a normal reboot. So I rebooted again into recovery mode with failsafe graphics. Once again everything looked normal and better then the normal boot with the propretary drivers.

Recap:
-Kernel seems to default to the output mini display port (prob a labeling issue)

12.04 LTS
-Normal Text Based Install Normal Boot=> Black Screen
-Boot into Recovery Mode => Black Screen
-Command Line Install with Manual Installaltion of ATI Driver, Grub Commands, and Desktop => Boot with awedul results (T-G-L-B)

10.04 LTS
-Normal Text Based install Normal Boot => Black Screen
-Normal Text Based Install Recovery boot and Failsafe graphics => Excellent Response but with limited testing
-Installed Proprietary Drivers Normal Boot => Normal Work Successful but Aweful Graphics (Mostly B-L) [Test 20x for consistency]
-Unistall Proprietary Drivers and Normal Boot => Blackscreen
-Reboot install Recovery Mode => Work and better smoother graphics th...

Read more...

Adolfo Jayme (fitojb) on 2013-02-26
no longer affects: linux (Ubuntu Maverick)
no longer affects: linux (Ubuntu Natty)

Won't Fix for Lucid as EOL. I don't have Won't Fix permissions presently so setting to Invalid.

Changed in linux (Ubuntu Lucid):
status: Confirmed → Invalid

Won't Fix for Oneiric as EOL. I don't have Won't Fix permissions presently so setting to Invalid.

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Invalid
tags: added: needs-upstream-testing

Sean Clarke, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sean Clarke (sean-clarke) wrote :

13.04 was installed without issue, I don't have an iMac anymore so cannot test against 14.04.

Happy to have bug (and duplicates) closed if no one else shouts their problem exists in 13.10.

no longer affects: linux (Ubuntu)
Changed in linux:
status: New → Invalid

Sean Clark, this bug report is being closed due to your last comment https://bugs.launchpad.net/xserver-xorg-driver-ati/+bug/542660/comments/113 regarding you no longer have the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu Precise):
status: Confirmed → Invalid

Original reporter doesn't have hardware anymore, and couldn't reproduce in a later release.

Changed in xserver-xorg-driver-ati:
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 116 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.